CREATE TABLE hz_hierarchies_int (
    BATCH_ID                         NUMBER(18, 0)     NOT NULL,
    INTERFACE_ROW_ID                 NUMBER(18, 0)     NOT NULL,
    IMPORT_STATUS_CODE               VARCHAR2(120) ,
    ACTION_CODE                      VARCHAR2(120) ,
    INTERNAL_ACTION_CODE             VARCHAR2(120) ,
    FILE_RECORD_NUM                  NUMBER(10, 0) ,
    FILE_NAME_SYSTASK_ID             NUMBER(18, 0) ,
    PARTY_NUMBER                     VARCHAR2(120) ,
    LANG_CODE                        VARCHAR2(16)  ,
    SOURCE_LANG_FLAG                 VARCHAR2(4)   ,
    TREE_STRUCTURE_CODE              VARCHAR2(120) ,
    TREE_CODE                        VARCHAR2(120) ,
    TREE_NAME                        VARCHAR2(320) ,
    ICON_NAME                        VARCHAR2(4000),
    TREE_DESCRIPTION                 VARCHAR2(960) ,
    TREE_VERSION_ID                  VARCHAR2(128) ,
    TREE_VERSION_NAME                VARCHAR2(320) ,
    TREE_VERSION_DESC                VARCHAR2(960) ,
    TREE_VERSION_COMMENT             VARCHAR2(4000),
    DATA_SOURCE_ID                   VARCHAR2(128) ,
    ROW_FLATTENED_TABLE              VARCHAR2(120) ,
    ID_COL_FLATTENED_TABLE           VARCHAR2(120) ,
    TREE_LABEL_ID                    VARCHAR2(128) ,
    PARTNER_ORIG_SYSTEM              VARCHAR2(120) ,
    PARTNER_ORIG_SYSTEM_REFERENCE    VARCHAR2(960) ,
    PARTNER_PARTY_ID                 NUMBER(18, 0) ,
    TREE_VERSION_ACTION_FLAG         VARCHAR2(4)   ,
    AS_OF_DATE                       DATE          ,
    EFFECTIVE_START_DATE             DATE          ,
    EFFECTIVE_END_DATE               DATE          ,
    OBJECT_VERSION_NUMBER            NUMBER(9, 0)      NOT NULL,
    LAST_UPDATE_DATE                 TIMESTAMP(6)  ,
    LAST_UPDATED_BY                  VARCHAR2(256) ,
    CREATION_DATE                    TIMESTAMP(6)  ,
    CREATED_BY                       VARCHAR2(256) ,
    LAST_UPDATE_LOGIN                VARCHAR2(128) ,
    REQUEST_ID                       NUMBER(18, 0) ,
    BATCH_ID                         NUMBER(18, 0)     NOT NULL,
    INTERFACE_ROW_ID                 NUMBER(18, 0)     NOT NULL,
    IMPORT_STATUS_CODE               VARCHAR2(120) ,
    ACTION_CODE                      VARCHAR2(120) ,
    INTERNAL_ACTION_CODE             VARCHAR2(120) ,
    FILE_RECORD_NUM                  NUMBER(10, 0) ,
    FILE_NAME_SYSTASK_ID             NUMBER(18, 0) ,
    PARTY_NUMBER                     VARCHAR2(120) ,
    LANG_CODE                        VARCHAR2(16)  ,
    SOURCE_LANG_FLAG                 VARCHAR2(4)   ,
    TREE_STRUCTURE_CODE              VARCHAR2(120) ,
    TREE_CODE                        VARCHAR2(120) ,
    TREE_NAME                        VARCHAR2(320) ,
    ICON_NAME                        VARCHAR2(4000),
    TREE_DESCRIPTION                 VARCHAR2(960) ,
    TREE_VERSION_ID                  VARCHAR2(128) ,
    TREE_VERSION_NAME                VARCHAR2(320) ,
    TREE_VERSION_DESC                VARCHAR2(960) ,
    TREE_VERSION_COMMENT             VARCHAR2(4000),
    DATA_SOURCE_ID                   VARCHAR2(128) ,
    ROW_FLATTENED_TABLE              VARCHAR2(120) ,
    ID_COL_FLATTENED_TABLE           VARCHAR2(120) ,
    TREE_LABEL_ID                    VARCHAR2(128) ,
    PARTNER_ORIG_SYSTEM              VARCHAR2(120) ,
    PARTNER_ORIG_SYSTEM_REFERENCE    VARCHAR2(960) ,
    PARTNER_PARTY_ID                 NUMBER(18, 0) ,
    TREE_VERSION_ACTION_FLAG         VARCHAR2(4)   ,
    AS_OF_DATE                       DATE          ,
    EFFECTIVE_START_DATE             DATE          ,
    EFFECTIVE_END_DATE               DATE          ,
    OBJECT_VERSION_NUMBER            NUMBER(9, 0)      NOT NULL,
    LAST_UPDATE_DATE                 TIMESTAMP(6)  ,
    LAST_UPDATED_BY                  VARCHAR2(256) ,
    CREATION_DATE                    TIMESTAMP(6)  ,
    CREATED_BY                       VARCHAR2(256) ,
    LAST_UPDATE_LOGIN                VARCHAR2(128) ,
    REQUEST_ID                       NUMBER(18, 0) 
);
